/// <reference types="@types/node" />
import { EventEmitter } from "events";
import ILogStoreConfig from "./interface/config/ILogStoreConfig";
import IDestructable from "./interface/IDestructable";
import ILog from "./interface/ILog";
export default class LogStore implements IDestructable {
    /**
     * Subscribe in order to receive "add", "cleared" events
     */
    eventEmitter: EventEmitter;
    private readonly logs;
    private readonly config;
    private identityMap;
    private groupLeftIndex;
    private groupableConfig;
    private throttledOnGroupFinalize;
    constructor(config?: ILogStoreConfig);
    add(log: ILog): void;
    clear(): void;
    getAll(): ILog[];
    size(): number;
    destroy(): void;
    private initTransformations;
    private onAddToGroup;
    private onGroupFinalize;
}
