import AdvancedLogger from "./AdvancedLogger";
import { TransformationEnum } from "./enums/TransformationEnum";
import SumologicService from "./service/SumologicService";
import InstantStrategy from "./strategy/InstantStrategy";
import OnBundleSizeStrategy from "./strategy/OnBundleSizeStrategy";
import OnIntervalStrategy from "./strategy/OnIntervalStrategy";
import OnRequestStrategy from "./strategy/OnRequestStrategy";
declare const strategy: {
    InstantStrategy: typeof InstantStrategy;
    OnBundleSizeStrategy: typeof OnBundleSizeStrategy;
    OnRequestStrategy: typeof OnRequestStrategy;
    OnIntervalStrategy: typeof OnIntervalStrategy;
};
declare const service: {
    SumologicService: typeof SumologicService;
};
export { AdvancedLogger, strategy, service, TransformationEnum };
